#ifndef SLC_H
#define SLC_H

/** A word starts right after this - a word is usually after this memory area */
struct wordstart {
	/* : */
	char colon;
	/* whitespace after ':', usually used to store the flags */
	uint8_t flags;
	/* vars[] */
	/* data[] */
};

enum SYMOP { SYMOP_ADD, SYMOP_GET };

typedef void*(sym)(SYMOP op, char *key, wordstart **word);
typedef void*(cstack)(SYMOP op, uint32_t );


#ENDIF /* SLC_H */
